Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations

SdnControllerAddHost

SdnControllerAddHost

POST/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}

Operation ID

SdnControllerAddHost

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • sdnControllerUuid
    StringRequired

    The SDN controller UUID.

  • hostUuid
    StringRequired

    The host UUID.

Body Fields

  • vSwitchType
    String

    Optional. The virtual switch type.

  • nicNames
    ListRequired

    The name list of physical server's NICs.

  • vtepIp
    String

    Optional. The physical server's VTEP IP.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    SdnControllerInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • vendorType
      StringRequired

      The vendor type.

    • vendorVersion
      StringRequired

      The vendor version.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • ip
      StringRequired

      The IP address.

    • username
      StringRequired

      The username.

    • password
      StringRequired

      The password.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • status
      SdnControllerStatusRequired

      See status.

      • Connecting
        SdnControllerStatusRequired

        Connecting.

      • Connected
        SdnControllerStatusRequired

        Connected.

      • Disconnected
        SdnControllerStatusRequired

        Disconnected.

    • hostRefs
      ListRequired

      See hostRefs.

      • sdnControllerUuid
        StringRequired

        The SDN controller UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • vSwitchType
        StringRequired

        The virtual switch type.

      • vtepIp
        StringRequired

        The VTEP IP.

      • nicPciAddresses
        StringRequired

        The NIC PCI address mapping.

      • nicDrivers
        StringRequired

        The NIC driver mapping.

      • netmask
        StringRequired

        The VTEP IP netmask.

      • bondMode
        StringRequired

        The NIC bond mode.

      • lacpMode
        StringRequired

        The NIC LACP mode.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.